## python-coincidence 0.6.5

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.5.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.2.0
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-favicon>=1.0.1
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.1.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== debian/changelog ===
python-coincidence (0.6.5-2) unstable; urgency=medium

  * debian/control: corrected Vcs repository url

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 18 Dec 2023 21:12:18 -0300

python-coincidence (0.6.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1043533)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 07 Nov 2023 20:10:08 -0300

=== debian/control ===
Source: python-coincidence
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coverage,
               python3-domdf-python-tools,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-timeout,
               python3-setuptools,
               python3-toml,
               python3-typing-extensions
Standards-Version: 4.6.2
Homepage: https://github.com/python-coincidence/coincidence
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-coincidence
Vcs-Git: https://salsa.debian.org/python-team/packages/python-coincidence.git

Package: python3-coincidence
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: helper functions for pytest
 The package provides fixtures and decorators for Pytest, making it easier
 configure test environments and parameterize tests. The module also enables
 specific utilities for regression testing and Pytest Decorators for selective
 test execution.
 .
 Some of the key features include:
       - fixed_datetime: Allows you to set the current date and time to
         facilitate tests that depend on timestamps.
       - path_separator: Returns the current file system path separator,
         useful for dealing with cross-platform differences.
       - tmp_pathplus: Provides a unique temporary directory for each test
         invocation as a PathPlus object.
       - count: generates a parameterized list of numbers between a specified
         range.
       - whitespace_perms: Generates permutations of whitespace characters to
         test space-related behaviors.
       - testing_boolean_values: Generates a parameterized list of strings,
         integers and booleans, facilitating the testing of boolean values
       - param: specifies parameters in pytest.mark.parametrize calls or in
         parameterized fixtures.
       - parametrized_versions: Provides a parameterized list of Python
         versions to test in different environments.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=coincidence

%:
	dh $@ --with python3  --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest -v
Depends: python3-all,
         python3-domdf-python-tools,
         python3-importlib-metadata,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-datadir,
         python3-pytest-regressions,
         python3-pytest-timeout,
         python3-toml,
         @
Restrictions: allow-stderr

## python-coincidence 0.6.6

=== requirements.txt ===
domdf-python-tools>=2.8.0
pytest>=6.2.0
pytest-regressions>=2.0.2
typing-extensions>=3.7.4.3

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.5.2
sphinx-debuginfo>=0.2.2
sphinx-favicon>=1.0.1
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
backports-entry-points-selectable>=1.0.2
coverage>=5.1
coverage-pyver-pragma>=0.2.1
domdf-python-tools[testing]>=2.0.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2
toml>=0.10.2

=== debian/changelog ===
python-coincidence (0.6.6-4) unstable; urgency=medium

  * Team Upload
  * Patch-out usage of python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 13:28:29 +0200

python-coincidence (0.6.6-3) unstable; urgency=medium

  * Team Upload
  * Remove python3-importlib-metadata dependency

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 15:05:03 +0200

python-coincidence (0.6.6-2) unstable; urgency=medium

  * debian/control: Added Build-Depends which was missing
  * debian/patches: Build-Depends "python3-whey" is already in Debian

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 07 Apr 2024 07:14:47 -0300

python-coincidence (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 12 Mar 2024 21:41:54 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-coverage,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
                python3-iniconfig,
                python3-pytest,
                python3-pytest-cov,
@@ -18,9 +17,9 @@
                python3-pytest-regressions,
                python3-pytest-timeout,
                python3-setuptools,
-               python3-toml,
-               python3-typing-extensions
-Standards-Version: 4.6.2
+               python3-typing-extensions,
+               python3-whey
+Standards-Version: 4.7.2
 Homepage: https://github.com/python-coincidence/coincidence
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-coincidence
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-coincidence.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=coincidence

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest -v
Depends: python3-all,
         python3-domdf-python-tools,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-datadir,
         python3-pytest-regressions,
         python3-pytest-timeout,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/python-coincidence/coincidence/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
